#
# spec file for package perl-Data-Random
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Data-Random
Version:        0.12
Release:        1.2
%define cpan_name Data-Random
Summary:        Perl module to generate random data
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Data-Random/
Source0:        http://www.cpan.org/authors/id/B/BA/BAREFOOT/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
A module used to generate random data. Useful mostly for test programs.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README README2.linux.words README.linux.words

%changelog
* Sun Jun  7 2015 coolo@suse.com
- updated to 0.12
  see /usr/share/doc/packages/perl-Data-Random/Changes
  0.12	2015-05-25T10:44:00-0700
  - convert from Date::Calc to Time::Piece
  - require Time::Piece 1.16 because it has add_year()
  - fixed rand_datetime on MSWin32 after Time::Piece
  - fixed tests to work for local timezone
  - convert to File::Temp
  - lots of cleanup
    Thanks to mbeijen (Michiel Beijen) for these improvements!
  - colors can only go up to 255 (RT/100995)
    Thanks to jrosenboom
* Thu Apr 16 2015 coolo@suse.com
- updated to 0.11
  see /usr/share/doc/packages/perl-Data-Random/Changes
  Revision history for Perl module Data::Random
* Mon Oct 14 2013 lars@linux-schulserver.de
- update to 0.09:
  + getting new Module::Install::GithubMeta [RT#88089]
  + fixing even more random tests that fail on midnight and zero seconds
  + fixed distro bugs [RT#73551, RT#75507, RT#77290]
  + fixed bug where .. was added to @INC [RT#71346]
  + tweaked POD
  + improved tests/fixed many CPAN Testers failures
* Fri Sep  2 2011 coolo@suse.com
- add Non-Commercial to the license for the word list
* Fri Sep  2 2011 coolo@suse.com
- updated to 0.05
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Aug 23 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- noarch pkg
* Tue Jul 24 2007 lrupp@suse.de
- initial version 0.05
